#!/bin/sh

# default instrument option  
INSTRUMENT=${1:-0}

# Other command-line options
OPTIONS=${2:-""}
DEBUG=${3:-false}

FIMS_BASE_PATH=@@FIMSBASEPATH@@


case $INSTRUMENT in
       1 )
       echo "Calling FIMS for FORS1..." ; FIMSROOT=$FIMS_BASE_PATH/fims ;;
       2 )
       echo "Calling FIMS for FORS2..." ; FIMSROOT=$FIMS_BASE_PATH/fims ;;
       * )
       echo "Usage: fims.sh [1|2]"
       echo "   1 is for FORS1"
       echo "   2 is for FORS2"
       exit;;
esac

export FIMSROOT

FCPLUG_ROOT=$FIMS_BASE_PATH/lib/libfcPlugins.tcl
export FCPLUG_ROOT

PATH=${FIMSROOT}/bin:$FIMS_BASE_PATH/bin:${PATH} ; export PATH

$FIMSROOT/bin/fims.sh $INSTRUMENT "$OPTIONS" $DEBUG
